
/*
 * borg-classifier/conf.h: configuration file read-in header
 * Copyright (C) 2011 Bradley Worley
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 *     Free Software Foundation, Inc.
 *     59 Temple Place, Suite 330
 *     Boston, MA 02111-1307 USA
 */

/* the parsed configuration parameters. */
#define CONF_UIDS         "uids"
#define CONF_DIMS         "dims"
#define CONF_DIMSET       "dimset"
#define CONF_SPACE        "space"
#define CONF_BI_UIDS      "biuids"
#define CONF_BI_DIMS      "bidims"
#define CONF_BI_SPACE     "bispace"
#define CONF_DIST         "dist"
#define CONF_COVAR        "covar"
#define CONF_PRINCOMP     "princomp"
#define CONF_CONTS        "conts"
#define CONF_L            "L"
#define CONF_SCALE        "scale"
#define CONF_CLUSTER      "cluster"
#define CONF_PARMS        "parms"
#define CONF_K            "K"
#define CONF_CLUSTERS     "clusters"
#define CONF_NETWORK      "network"
#define CONF_DISTANCE     "distance"
#define CONF_CONSENSUS    "consensus"
#define CONF_WEIGHTS      "weights"
#define CONF_ELLIPSE      "ellipse"
#define CONF_DISPERSION   "dispersion"
#define CONF_RUNS         "R"

/* declare functions. */
int conf_init (const char *fname);
char *conf_get (const char *var);
void conf_check (const char *var);
int conf_null (const char *var);
