#!/bin/bash

taskdir=${1}
export GDFONTPATH=/usr/share/fonts/bitstream-vera

rm -f *.png

taskdate=$(basename ${taskdir} | cut -f 1 -d -)
pcvals="03 05 10 15 20 25 30"
for pcval in ${pcvals}; do
  maxmean=$(head -n 1 ../../outputs/${taskdate}-${pcval}/dispersion.txt | \
    awk '{print $3}')
  maxvar=$(awk '{print $NF}' ../../outputs/${taskdate}-${pcval}/dispersion.txt | \
    sort -nr | head -n 1)
  awk -v maxmean=${maxmean} -v maxvar=${maxvar} \
    '{val = $3 / maxmean; var = $4 / maxvar; print $1,val,var;}' \
    ../../outputs/${taskdate}-${pcval}/dispersion.txt > pc${pcval}.txt
done

echo " running plot output file"
sed -e "s,%TASKDIR%,${taskdate},g" output.plt.in > output.plt
gnuplot output.plt
rm -f output.plt

for pngfile in *.png; do
  echo " postprocessing ${pngfile}"
  convert -resize '50%' ${pngfile} tmp.png
  mv tmp.png ${pngfile}
done

rm -f pc??.txt

