
/*
 * borg-classifier/gen-bispace.c: supervised feature space calculation app code
 * Copyright (C) 2011 Bradley Worley
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 *     Free Software Foundation, Inc.
 *     59 Temple Place, Suite 330
 *     Boston, MA 02111-1307 USA
 */

/* core include. */
#include "core.h"

/* main: application entry point. */
int main (int argc, char **argv) {
#if CONFIGURE_MYSQL == 1
  /* initialize the core structures. */
  util_init_core (argc, argv);

  /* initialize the uids and dims. */
  init_biuids ();
  init_bidims ();

  /* initialize the space. */
  init_bispace ();

  /* exit the program. */
  return 0;
#else
  /* fail out. */
  fprintf (stderr, "FAIL! %s can't run without a mysql connection!\n", argv[0]);
  return 1;
#endif
}
