
/*
 * borg-classifier/stat.h: miscellaneous statistical functions header
 * Copyright (C) 2011 Bradley Worley
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 *     Free Software Foundation, Inc.
 *     59 Temple Place, Suite 330
 *     Boston, MA 02111-1307 USA
 */

/* declare functions. */
double *stat_mean (unsigned long *idx, unsigned long n);
double *stat_var (double *mean, unsigned long *idx, unsigned long n);
double **stat_cov (double *amean, double *bmean,
                   unsigned long *aidx, unsigned long *bidx,
                   unsigned long n);
double **stat_cholesky_decomp (double **A, unsigned long n);
double *stat_cholesky_solve (double **L, unsigned long n, double *b);
double **stat_cholesky_inv (double **L, unsigned long n);
double stat_cholesky_logdet (double **L, unsigned long n);
void stat_cholesky_free (double **L, unsigned long n);
double **stat_qr_econ (double **A, unsigned long m, unsigned long n);
double **stat_eigen (double **A, unsigned long m, unsigned long n);
void stat_matfree (double **A, unsigned long m);
double **stat_matmult (double **A, unsigned long ma, unsigned long na,
                       double **B, unsigned long mb, unsigned long nb);
double **stat_transpose (double **A, unsigned long m, unsigned long n);
double **stat_inverse (double **A, unsigned long m, unsigned long n);
double stat_clustering_disp (double **X, unsigned long m, unsigned long n,
                             unsigned long *indices);
