
# set some constants.
mynode=16
myk=10
myrun=256

# get the runtime.
runtime=$(date +%Y%m%d-%H%M%S)

# job_status: returns whether a job is completed, etc.
function job_status () {
  # get the status.
  qstat | grep '^[0-9]' | grep "^${1}" | awk '{print $(NF-1)}' | \
    sed -e '/C/d' | sort -u
}

# job_wait: blocks until completion of a specified job.
function job_wait () {
  # loop until we have a completed status.
  s=$(job_status ${1})
  while [ ! "${s}" == "" ]; do
    echo "INFO waiting for job ${1} to complete..."
    sleep 15s
    s=$(job_status ${1})
  done
}

# task_info_list: prints a list of available tasks.
function task_info_list () {
  echo "INFO: available tasks:" >&2
  grep -e '^if' -e '^elif' ${0} | grep taskname | \
    awk 'NF == 7 {print $5}' | \
    sed -e 's/^"/  /g' -e 's/"$//g'
  exit
}

# task_info: prints information about a single task.
function task_info () {
  task=${1}
  echo
  echo "${task}:" | tr '[:lower:]' '[:upper:]'
  echo "============================="
  sed -e "s/%%TASK%%/${task}/" task-info.awk.in > task-info.awk
  awk -f task-info.awk task-info.txt
  rm -f task-info.awk
  echo
  exit
}
