
/*
 * borg-classifier/util.h: base utility functions header
 * Copyright (C) 2011 Bradley Worley
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 *     Free Software Foundation, Inc.
 *     59 Temple Place, Suite 330
 *     Boston, MA 02111-1307 USA
 */

/* declare functions. */
int file_exists (const char *fname);
void init_uids (void);
void init_biuids (void);
void init_dims (void);
void init_bidims (void);
void find_knowns (void);
void init_uid_termset (unsigned long uid,
                       const char *query,
                       const char *field);
void init_uid (unsigned long uid);
void init_space (void);
void init_bispace (void);
void init_dist (void);
unsigned long uid_index (const char *uid);
unsigned long dim_index (const char *dim);
int uid_has_pdb (unsigned long i);
char *dim_desc (unsigned long j);
int dim_count (unsigned long j);
void util_init_core (int argc, char **argv);
double **read_princomp (unsigned long *n);
unsigned long *read_clustering (const char *fclust);
